art-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Defines an affine transformation To be added
- Constructor
  2.24.0.0
  To be added
  To be added
- Method
  2.24.0.0
  System.Boolean `` `` An affine transformation. Another affine transformation. Determine if two matrices are equal. if the matrices are equal. Equality is verified with epsilon-tolerance for roundoff errors.
- Method
  2.24.0.0
  System.Double `` The affine transformation. Finds the expansion factor, i.e. the square root of the factor by which the affine transform affects area. The expansion factor. In an affine transform composed of scaling, rotation, shearing, and translation, returns the amount of scaling.
- Method
  2.24.0.0
  System.Void `` `` `` `` Where to store the resulting affine transform. The original affine transformation. Whether or not to flip horizontally. Whether or not to flip vertically. Flips the affine transform. Both horz and vert false results in a simple copy operation. True for both results in an 180 degree rotation.
- Method
  2.24.0.0
  System.Void `` Where to store the resulting affine transform. Set up the identity matrix. To be added
- Method
  2.24.0.0
  System.Void `` `` Where the resulting affine is stored. The original affine transformation. Sets up the inverse of the given transformation. The inverse is in the classical sense; src_affine multiplied with dst_affine, or dst_affine multiplied with src_affine will be (to within roundoff error) the identify affine. See
- Method
  2.24.0.0
  System.Void `` `` `` Where to store the resulting affine transform. The first affine transform to multiply. The second affine transform to multiply. Multiplies two affine transforms together, i.e. the resulting dst is equivalent to doing first src1 then src2. To be added
- Method
  2.24.0.0
  Art.Point `` `` The original point. The affine transform. Apply an affine transform to an . The resulting point after performing the transform. To be added
- Method
  2.24.0.0
  System.Boolean `` The affine transformation to test. Determines wether a matrix is rectilinear, i.e. grid-aligned rectangles are transformed to other grid-aligned rectangles. if the matrix is rectilinear. The implementation has epsilon-tolerance for roundoff errors.
- Method
  2.24.0.0
  System.Void `` `` Where to store the resulting affine transformation. Rotation angle in degrees. Sets up a rotation matrix. To be added
- Method
  2.24.0.0
  System.Void `` `` `` Where to store the resulting affine transform. X scale factor. Y scale factor. Sets up a scaling matrix. To be added
- Method
  2.24.0.0
  System.Void `` `` Where to store the resulting affine transformation. Shear angle in degrees. Setup a shearing matrix To be added
- Method
  2.24.0.0
  System.Void `` `` The resulting string. The affine transform. Converts an affine transform into a bit of PostScript code that implements the transform. Special cases of scaling, rotation, and translation are detected, and the corresponding PostScript operators used (this greatly aids understanding the output generated). The identity transform is mapped to the null string.
- Method
  2.24.0.0
  System.Void `` `` `` Where to store the resulting affine transform. X translation amount. Y translation amount. Sets up a translation matrix. To be added